VisualEditor: ve.ce.SurfaceObserver.prototype.stop() called without a subsequent call to ve.ce.SurfaceObserver.prototype.start()
Closed, ResolvedPublic

Description

Something causes ve.ce.SurfaceObserver.prototype.stop() to be called without a subsequent call to ve.ce.SurfaceObserver.prototype.start().

Apparently happens after clicking on a link. I'm investigating.


Version: unspecified
Severity: normal

matmarex created this task.Via LegacyApr 28 2013, 5:21 PM
gerritbot added a comment.Via ConduitApr 29 2013, 11:44 AM

Related URL: https://gerrit.wikimedia.org/r/61358 (Gerrit Change Iaaa2a7993f3561dc663a064468c396ebfe951ce7)

matmarex added a comment.Via ConduitApr 29 2013, 11:44 AM

Gotcha. Why does Opera have to be weird...

gerritbot added a comment.Via ConduitJun 29 2013, 9:36 PM

Change 71249 had a related patch set uploaded by Matmarex:
ve.ce.Surface: Prevent focus loss on the document node in Opera

https://gerrit.wikimedia.org/r/71249

gerritbot added a comment.Via ConduitJun 29 2013, 9:37 PM

Change 61358 abandoned by Matmarex:
Don't bind 'blur' and 'focus' on the document node in Opera

Reason:
A different approach in I7962f59bd02e0.

https://gerrit.wikimedia.org/r/61358

gerritbot added a comment.Via ConduitJul 29 2013, 5:17 PM

Change 71249 merged by jenkins-bot:
ve.ce.Surface: Prevent focus loss on the document node in Opera

https://gerrit.wikimedia.org/r/71249

matmarex added a comment.Via ConduitJul 29 2013, 5:21 PM

Hooray! This shouldn't be causing issues anymore now.

gerritbot added a comment.Via ConduitAug 4 2013, 9:10 PM

Change 77639 had a related patch set uploaded by Matmarex:
Actually fix bug 47793 for Opera for real this time

https://gerrit.wikimedia.org/r/77639

gerritbot added a comment.Via ConduitAug 7 2013, 3:12 AM

Change 77639 merged by jenkins-bot:
Actually fix bug 47793 for Opera for real this time

https://gerrit.wikimedia.org/r/77639

Jdforrester-WMF added a comment.Via ConduitAug 7 2013, 3:14 AM

Fixed a second time. Maybe. :-)

Inez added a comment.Via ConduitAug 7 2013, 5:03 AM

I'm hacking around mutation observers.. maybe we will get rid of SurfaceObserver soon (and get rid of those kind of problems).

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.